art-sharp 2.20.0.0 2.24.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.ValueType A Structure that suports rectangle with int coordinates.
- Method
  2.24.0.0
  System.Void `` The that is going to init the current one. Copies the values of the given rectangle, into this one. The current rectangle will be a clone of the given one.
- Method
  2.24.0.0
  System.Int32 Checks if the rectangle is empty. True if the rectangle is empty, false otherwise. For the rectangle to be empty, x1 has to be smaller or equal to x0, or y0 smaller or equal to y1.
- Method
  2.24.0.0
  System.Void `` `` The first source rectangle used. The second source rectangle used. Finds the intersection of two rectangles and initializes the current one with the result.
- Method
  2.24.0.0
  Art.IRect `` a To be added a To be added
- Method
  2.24.0.0
  System.Void `` `` The first source rectangle used. The first source rectangle used. Finds the union of two rectangles and initializes the current one with the result.
- Field
  2.24.0.0
  System.Int32 The first coordinate of the rectangle on the X axis.
- Field
  2.24.0.0
  System.Int32 The second coordinate of the rectangle on the X axis.
- Field
  2.24.0.0
  System.Int32 The first coordinate of the rectangle on the Y axis.
- Field
  2.24.0.0
  System.Int32 The second coordinate of the rectangle on the Y axis.
- Field
  2.24.0.0
  Art.IRect To be added